<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-ressource-propose-heading" jhiTranslate="gestioncvsApp.ressourcePropose.home.createOrEditLabel">Create or edit a Ressource Propose</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourcePropose.nom" for="field_nom">Nom</label>
                    <input type="text" class="form-control" name="nom" id="field_nom"
                           formControlName="nom"/>
                    <div *ngIf="editForm.get('nom')!.invalid && (editForm.get('nom')!.dirty || editForm.get('nom')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nom')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourcePropose.prenom" for="field_prenom">Prenom</label>
                    <input type="text" class="form-control" name="prenom" id="field_prenom"
                           formControlName="prenom"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourcePropose.posteActuel" for="field_posteActuel">Poste Actuel</label>
                    <input type="text" class="form-control" name="posteActuel" id="field_posteActuel"
                           formControlName="posteActuel"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourcePropose.anciennete" for="field_anciennete">Anciennete</label>
                    <input type="number" class="form-control" name="anciennete" id="field_anciennete"
                           formControlName="anciennete"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourcePropose.ressourceDemande" for="field_ressourceDemande">Ressource Demande</label>
                    <select class="form-control" id="field_ressourceDemande" name="ressourceDemande" formControlName="ressourceDemandeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="ressourceDemandeOption.id" *ngFor="let ressourceDemandeOption of ressourcedemandes; trackBy: trackById">{{ ressourceDemandeOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourcePropose.nomEquipe" for="field_nomEquipe">Nom Equipe</label>
                    <select class="form-control" id="field_nomEquipe" name="nomEquipe" formControlName="nomEquipeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="equipeOption.id" *ngFor="let equipeOption of equipes; trackBy: trackById">{{ equipeOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
